Skip to main content
Use these operations to interact with the Azure Resources integration in Cortex.

Required permissions

Your API key must have the Configure integrations permission.

Operations

List Azure Resources types

GET /api/v1/azure-resources/types

Retrieve configurations

GET /api/v1/azure-resources/configurations

Retrieve default configuration

GET /api/v1/azure-resources/default-configuration

Retrieve a configuration

GET /api/v1/azure-resources/configuration/{alias}

Add a single configuration

POST /api/v1/azure-resources/configuration

Validate all configurations

POST /api/v1/azure-resources/configuration/validate

Validate a configuration

POST /api/v1/azure-resources/configuration/validate/{alias}

Add multiple configurations

POST /api/v1/azure-resources/configurations

Update configured Azure Resources types

PUT /api/v1/azure-resources/types

Update a configuration

PUT /api/v1/azure-resources/configuration/{alias}

Delete all configurations

DELETE /api/v1/azure-resources/configurations

Delete a configuration

DELETE /api/v1/azure-resources/configuration/{alias}
Last modified on September 24, 2026